%global git_date  20250529
%global git_hash  976c19e
%global git_ver  1.5.1

%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz


Name:     tuxclocker
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  Qt overclocking tool for GNU/Linux
License:  GPL-3.0-only
URL:      https://github.com/Lurkki14/tuxclocker
Source:	  %{url}/%{src_name}


BuildRequires:  gcc-c++ make meson
BuildRequires:  qt5-qtbase-devel qt5-rpm-macros
BuildRequires:  qt5-qtcharts-devel dbusmenu-qt5-devel
BuildRequires:  git-core
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  boost-filesystem boost-devel
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(openssl)


%description
TuxClocker is a hardware controlling and monitoring program. TuxClocker consists of a DBus daemon and a Qt GUI that uses the daemon.


%prep
%autosetup -n %{name}


%build
%meson
%meson_build


%install
%meson_install


%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}d
%{_bindir}/%{name}-qt
%{_libdir}/%{name}/plugins/libamd.so
%{_libdir}/%{name}/plugins/libcpu.so
%{_libdir}/lib%{name}.so
%{_datadir}/dbus-1/system-services/org.tuxclocker.service
%{_datadir}/dbus-1/system.d/org.tuxclocker.conf
%{_datadir}/locale/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*


%changelog
%autochangelog
